AOZ Studio Beta - Bug #864

issue loading .mp3 files under resource/assets/subfolders
11/12/2021 10:26 PM - malcolm harvey

Status: Closed Start date: 11/13/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u27

Description

There is a bug, with .wav and .ogg work from a sub folder under assets eg: resources/assets/tunes but if you want to use a .mp3 file
you can only load these files it from the main assets folder they wont load from assets/tunes, you get error cant find file.

usage: Load Asset "boom.mp3","boom"

History

#1 - 11/17/2022 12:22 PM - malcolm harvey

- Assignee changed from AOZ Studio Team to Francois Lionet

#2 - 11/17/2022 12:23 PM - malcolm harvey
- Affected version changed from 1.0.0 (B11) u17 to 1.0.0 (B16) u27

#3 - 11/17/2022 09:40 PM - malcolm harvey

- Status changed from New to Closed

Ive tested it again and it now appears to have been corrected in U27.

Resolved.

Note: Oddly enough, | do remember long ago, that you could just specify say .ogg/.wav/.mp3 and as long as you were using load asset it would go
and look and scan your assets sub folders as well without specifying the subfolder.

ie: Load Asset "music.mp3", "music"

It matters not though as the above it logical and works fine.
